import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/access_management/manage_bookable_spaces/domain/models/bookable_space_config.dart';
import 'package:syncrow_web/pages/access_management/manage_bookable_spaces/domain/models/bookable_space_model.dart';
import 'package:syncrow_web/pages/access_management/manage_bookable_spaces/domain/params/bookable_spaces_params.dart';
import 'package:syncrow_web/pages/access_management/manage_bookable_spaces/domain/service/bookable_spaces_service.dart';
import 'package:syncrow_web/pages/space_management_v2/main_module/shared/models/paginated_data_model.dart';

class DummyBookableSpacesService implements BookableSpacesService {
  @override
  Future<PaginatedDataModel<BookableSpacemodel>> load(
      BookableSpacesParams param) async {
    return PaginatedDataModel(
      data: [
        BookableSpacemodel(
          spaceName: 'space1',
          spaceConfig: BookableSpaceConfig(
            configUuid: 'uuid',
            bookableDays: ['wed', 'saturday'],
            availability: true,
            bookingEndTime: const TimeOfDay(hour: 13, minute: 20),
            bookingStartTime: const TimeOfDay(hour: 13, minute: 20),
            cost: 6,
          ),
          spaceUuid: 'uuiiddd',
          spaceVirtualAddress: 'idvirtual1',
        ),
        BookableSpacemodel(
          spaceName: 'space2',
          spaceConfig: BookableSpaceConfig(
            configUuid: 'uuid',
            bookableDays: ['wed', 'thur'],
            availability: true,
            bookingEndTime: const TimeOfDay(hour: 13, minute: 20),
            bookingStartTime: const TimeOfDay(hour: 13, minute: 20),
            cost: 6,
          ),
          spaceUuid: 'uuiiddd',
          spaceVirtualAddress: 'idvirtual1',
        ),
        BookableSpacemodel(
          spaceName: 'space3',
          spaceConfig: BookableSpaceConfig(
            configUuid: 'uuid',
            bookableDays: ['wed', 'fri', 'tues'],
            availability: true,
            bookingEndTime: const TimeOfDay(hour: 13, minute: 20),
            bookingStartTime: const TimeOfDay(hour: 13, minute: 20),
            cost: 6,
          ),
          spaceUuid: 'uuiiddd',
          spaceVirtualAddress: 'idvirtual1',
        )
      ],
      page: 1,
      size: 1,
      hasNext: false,
      totalItems: 3,
      totalPages: 1,
    );
  }
}
